using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class Input
    {
        public static InputHandler KeyBoardType(char c)
        {
            return HandlerProvider.InputHandler.KeyBoardType(c);
        }
        public static InputHandler MouseScroll(int x)
        {
            return HandlerProvider.InputHandler.MouseScroll(x);
        }
        public static InputHandler MouseJump(int x, int y)
        {
            return HandlerProvider.InputHandler.MouseJump(x, y);
        }
        public static InputHandler KeyBoardSpecialType(EnumProviderPressSpecialKeys Key)
        {
            return HandlerProvider.InputHandler.KeyBoardSpecialType(Key);
        }
        public static InputHandler MouseClick()
        {
            return HandlerProvider.InputHandler.MouseClick();
        }
    }
}
